Subject: bug#38294: [PATCH] Handle killing of virtual buffers in Ido

From: Dario Gjorgjevski <[email-masked]>
Date: Thu, 13 Aug 2020 11:50:10 +0200

Hi Stefan, hi Lars,

> The idea specifically with ido-use-virtual-buffers (from reading its doc
> string, not from being a user) is that one shouldn't have to worry about
> whether or not the buffer is open or not.  To my mind, that implies that
> it means that even when manually killing buffers, I should still be able
> to switch to it.

I agree with this.  In that case, should we prevent virtual buffers from
being listed in ‘ido-kill-buffer’ in the first place?  Selecting one of
them to be “killed” results in a no-op anyway, so why give people the
impression that something happens?

Best regards,
Dario

-- 
[email-masked] :: +49 1525 8666837
%   gpg --keyserver 'hkps://hkps.pool.sks-keyservers.net' \
\`>     --recv-keys '744A4F0B4F1C9371'